Merge branch 'master' of ssh://teastep@shorewall.git.sourceforge.net/gitroot/shorewall/shorewall

This commit is contained in:
Tom Eastep 2010-02-20 18:59:17 -08:00
commit 8baa4e60c9
2 changed files with 4 additions and 0 deletions

View File

@ -710,6 +710,8 @@ show_command() {
[ -n "$table_given" ] || for chain in $*; do
if ! qt $IPTABLES -t $table -L $chain $IPT_OPTIONS; then
echo "ERROR: Chain '$chain' is not recognized by $IPTABLES."
echo ""
echo "usage $(basename $0) show [ -x ] [ -m ] [-f] [ -t {filter|mangle|nat} ] [ {chain [<chain> [ <chain> ... ]|actions|capabilities|classifiers|config|connections|dynamic <zone>|filters|ip|log|macros|mangle|nat|routing|tc|zones} ] " >&2
exit 1
fi

View File

@ -587,6 +587,8 @@ show_command() {
if [ $# -gt 0 ]; then
[ -n "$table_given" ] || for chain in $*; do
if ! qt $IP6TABLES -t $table -L $chain $IPT_OPTIONS; then
echo "ERROR: Chain '$chain' is not recognized by $IP6TABLES."
echo ""
echo "usage $(basename $0) show [ -x ] [ -m ] [-f] [ -t {filter|mangle} ] [ {chain [<chain> [ <chain> ... ]|actions|capabilities|classifiers|config|connections|filters|ip|log|macros|mangle|routing|tc|zones} ] " >&2
exit 1
fi